<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- File/Synopsis/SymbolLookup/Symbol.hh.html -->
<!-- this view was generated by FileIndex -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis/SymbolLookup/Symbol.hh</title>
<link href="../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="FileIndex">
<b >Synopsis/SymbolLookup/Symbol.hh</b>
<div><a href="../../../Source/Synopsis/SymbolLookup/Symbol.hh.html" target="content">source code</a></div>
<div><a href="../../../FileDetails/Synopsis/SymbolLookup/Symbol.hh.html" target="content">details</a></div>
<div class="heading">Declarations</div>
Synopsis<br/>
<div class="fileview-scope"><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup.html" target="content" title="(namespace)">SymbolLookup</a></div><div class="fileview-scope"><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/Class.html" target="content" title="(class)">Class</a></div><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/ClassName.html" target="content" title="(class)">ClassName</a></div><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/ClassTemplateName.html" target="content" title="(class)">ClassTemplateName</a></div><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/ConstName.html" target="content" title="(class)">ConstName</a></div><div class="fileview-scope"><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/ConstName.html#ConstName_lconst.PTree_mEncoding_A_clong_cconst.PTree_mNode_S_cbool_cScope_S_r" target="content" title="(member function)">ConstName</a></div><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/ConstName.html#my_defined" target="content" title="(data member)">my_defined</a></div><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/ConstName.html#my_value" target="content" title="(data member)">my_value</a></div></div><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/EnumName.html" target="content" title="(class)">EnumName</a></div><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/FunctionName.html" target="content" title="(class)">FunctionName</a></div><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/FunctionScope.html" target="content" title="(class)">FunctionScope</a></div><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/FunctionTemplateName.html" target="content" title="(class)">FunctionTemplateName</a></div><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/Namespace.html" target="content" title="(class)">Namespace</a></div><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/NamespaceName.html" target="content" title="(class)">NamespaceName</a></div><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/Scope.html" target="content" title="(class)">Scope</a></div><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/Symbol.html" target="content" title="(class)">Symbol</a></div><div class="fileview-scope"><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/Symbol.html#Symbol_lconst.PTree_mEncoding_A_cconst.PTree_mNode_S_cbool_cScope_S_r" target="content" title="(member function)">Symbol</a></div><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/Symbol.html#accept_lSymbolVisitor_S_rconst" target="content" title="(member function)">accept</a></div><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/Symbol.html#my_definition" target="content" title="(data member)">my_definition</a></div><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/Symbol.html#my_ptree" target="content" title="(data member)">my_ptree</a></div><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/Symbol.html#my_scope" target="content" title="(data member)">my_scope</a></div><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/Symbol.html#my_type" target="content" title="(data member)">my_type</a></div></div><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/SymbolVisitor.html" target="content" title="(class)">SymbolVisitor</a></div><div class="fileview-scope"><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/SymbolVisitor.html#visit_lconst.ClassName_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/SymbolVisitor.html#visit_lconst.ClassTemplateName_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/SymbolVisitor.html#visit_lconst.ConstName_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/SymbolVisitor.html#visit_lconst.EnumName_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/SymbolVisitor.html#visit_lconst.FunctionName_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/SymbolVisitor.html#visit_lconst.FunctionTemplateName_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/SymbolVisitor.html#visit_lconst.NamespaceName_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/SymbolVisitor.html#visit_lconst.Symbol_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/SymbolVisitor.html#visit_lconst.TypeName_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/SymbolVisitor.html#visit_lconst.TypedefName_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/SymbolVisitor.html#visit_lconst.VariableName_S_r" target="content" title="(member function)">visit</a></div><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/SymbolVisitor.html#_tSymbolVisitor_l_r" target="content" title="(member function)">~SymbolVisitor</a></div></div><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/TypeName.html" target="content" title="(class)">TypeName</a></div><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/TypedefName.html" target="content" title="(class)">TypedefName</a></div><div class="fileview-scope"><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/TypedefName.html#TypedefName_lconst.PTree_mEncoding_A_cconst.PTree_mNode_S_cScope_S_r" target="content" title="(member function)">TypedefName</a></div></div><div class="href"><a href="../../../Scopes/Synopsis/SymbolLookup/VariableName.html" target="content" title="(class)">VariableName</a></div></div>
</div>

</body>
</html>
